.item-popup {
  position: absolute;
  position: fixed;
  border-radius: 10px;
  padding: 0.5rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--d);
  color: var(--l);
  width: 280px;
  height: 450px;
  z-index: 999;

  .exit {
    position: absolute;
    background-color: var(--hl);
    width: 40px;
    height: 40px;
    right: 0;
    padding: 5px;
    top: 0;
    border-radius: 0 10px 0 10px;
  
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
      background-color: transparent;
    }
  }
  

  img {
    width: 250px;
    height: 250px;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--l);
    object-fit: contain;
    border-radius: 10px;
  }

  .heading {
    padding: 5px;
    font-size: 140%;
    font-weight: 600;
    text-transform: capitalize;
  }

  .description {
    height: 100px;
    overflow-y: scroll;
    padding: 0 0.5rem;
  }

  .info {
    position: absolute;
    left: 0;
    bottom: 0;
    display: flex;
    width: 100%;
    height: 50px;
    border-top: 1px solid var(--d);
    
    border-radius: 0 0 10px 10px;

    p {
      width: 50%;
      height: 100%;
      align-content: center;
      text-align: center;
      font-weight: 700;
      background-color: var(--hl);
      color: var(--l);
      border-radius: 0 0 0 10px;
    }

    .add {
      width: 50%;
      height: 50px;
      background-color: var(--d);
      border-radius: 0 0 10px 0;

      img {
        padding: 0.5rem;
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
        background-color: transparent;
      }
      
    }
  }
}

.hide {
  display: none;
}

.fade {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.548);
  z-index: 2;

}

body.no-scroll {
  overflow: hidden;
}